Bug 180527 - Anaconda installs X windows system when doing minimal install
Anaconda installs X windows system when doing minimal install
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 15:14 EST by Amin Astaneh
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 16:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kickstart file (complete) (1.09 KB, text/plain)
2006-02-10 16:28 EST, Amin Astaneh
no flags Details
install.log from successful install (44.39 KB, text/plain)
2006-02-22 16:46 EST, Amin Astaneh
no flags Details

  None (edit)
Description Amin Astaneh 2006-02-08 15:14:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051220 Firefox/1.0.7

Description of problem:
I did a linux text installation of RHEL4, where I unselected every package available in order to get a minimum installation. Instead of the expected 600mb minimum install size, I get an installation size of 1200mb, which include xorg-x11 packages and associated gnome and kde libs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. type linux text at install cd bootloader
2. Specify custom package install
3. Unselect all package groups
4. Install System

Actual Results:  Installs successfully, however installs X-related package groups. After reboot, linux goes into init 5 and starts X.

Expected Results:  Should only install base system packages. After reboot, linux should go into init 3 and remain in CLI mode. 

Additional info:
Comment 1 Amin Astaneh 2006-02-08 15:22:41 EST
Also attempted again with a kickstart file, using parameters skipx and text.
Same results.
Comment 2 Paul Nasrat 2006-02-08 16:38:38 EST
Please attach your ks.cfg (or paste in the %packages section).
Comment 3 Amin Astaneh 2006-02-10 15:33:48 EST
Tried to determine what dialup and compat-arch-support provides.. no real insight.

%packages
@ dialup
@ compat-arch-support
kernel
grub
e2fsprogs
lvm2
Comment 4 Amin Astaneh 2006-02-10 16:05:39 EST
After looking in the /RedHat/base/comps.xml in CD1,
the group compat-arch-support contains X-oriented packages in the default setting.

for example:

      <packagereq type="default">gtk+</packagereq>
      <packagereq type="default">gtk2</packagereq>
      <packagereq type="default">gtk2-engines</packagereq>
      <packagereq type="default">gtk-engines</packagereq>
      <packagereq type="default">gtkhtml2</packagereq>
      <packagereq type="default">gtksourceview</packagereq>
      <packagereq type="default">gtkspell</packagereq>
      <packagereq type="default">guile</packagereq>
      <packagereq type="default">hal</packagereq>
      <packagereq type="default">hesiod</packagereq>
      <packagereq type="default">iiimf-gtk</packagereq>
      <packagereq type="default">kdebase</packagereq>
      <packagereq type="default">kdelibs</packagereq>
      <packagereq type="default">kdemultimedia</packagereq>

Should anaconda not have included this package set in the install after
specifying as much of a bare-bones installation as possible?
Comment 5 Amin Astaneh 2006-02-10 16:28:58 EST
Created attachment 124531 [details]
kickstart file (complete)
Comment 6 Amin Astaneh 2006-02-22 16:45:07 EST
Did another install with this kickstart file, removing the dialup and
compat-arch-support groups

install
cdrom
lang en_US.UTF-8
langsupport --default=en_US.UTF-8 en_US.UTF-8
keyboard us
skipx
network --device eth0 --bootproto dhcp
rootpw --iscrypted $1$m4JT1x7a$0q4rgNkwRVzel0MMp4fPL.
firewall --enabled
selinux --permissive
authconfig --enableshadow --enablemd5
timezone --utc America/New_York
bootloader --location=mbr
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
#clearpart --linux --drives=sda
#part /boot --fstype "ext3" --size=100 --ondisk=sda
#part pv.100000 --size=0 --grow --ondisk=sda
#volgroup VolGroup00 --pesize=32768 pv.100000
#logvol / --fstype ext3 --name=LogVol00 --vgname=VolGroup00 --size=1024 --grow
#logvol swap --fstype swap --name=LogVol01 --vgname=VolGroup00 --size=128 --grow
--maxsiz
e=256

%packages
kernel
grub
e2fsprogs
lvm2

%post

This time, the installation went perfectly, only installing the base packages. I
will attach the install.log.

Comment 7 Amin Astaneh 2006-02-22 16:46:23 EST
Created attachment 125063 [details]
install.log from successful install
Comment 8 Jeremy Katz 2006-02-22 16:52:25 EST
Yes, the compat-arch group will pull in lots of stuff.  If you only want
specific packages from it, you can specify them via name.arch

Note You need to log in before you can comment on or make changes to this bug.